import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCService } from '@loafer/ng-rpc/service';

import { Target } from '@overflow/commons-typescript/model/target';


@Injectable()
export class TargetService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public modify(target: Target): Observable<Target> {
    return this.rpcService.call('TargetService.modify', target);
  }

}
